import yaml
import os
# from manager.serverCenter import server
from sqlalchemy.engine.row import Row

curpath = os.path.dirname(os.path.realpath(__file__))
par_path = os.path.dirname(curpath)

class path():
    configPath=par_path+"/config.yml"


def get_config():
    with open(path.configPath,"r",encoding='utf-8') as f:
        data=yaml.load(f,Loader=yaml.FullLoader)
        return data





def getdata(info):
    data={}
    # print(info.keys())
    for k,v in info.items():
        if k != '_sa_instance_state':
            data[k]=v
    return data
    

def row_to_json(row):
    if isinstance(row,Row):
        return row._asdict()
    else:
        result=getdata(row)
        return result

def sqlOrmToJson(data):
    '''
    sql 对象转 json字符串
    '''
    if isinstance(data,list):
        result=[]
        for i in data:
           result.append(row_to_json(i))
        return result
    else:
        return row_to_json(data)
    
